var exec = require('cordova/exec');

exports.configure = function (appId, orgId, userId, success, error) {
  exec(success, error, 'SmartKarrot', 'configure', [appId, orgId,userId ]);
};

exports.setUserId = function (userId, success, error) {
  exec(success, error, 'SmartKarrot', 'setUserId', [userId]);
};

exports.resetUserId = function (success, error) {
  exec(success, error, 'SmartKarrot', 'resetUserId');
};

exports.setUserAttribute = function (key, value, success, error) {
  exec(success, error, 'SmartKarrot', 'setUserAttribute', [key, value]);
};

exports.logEvent = function (key, value, success, error) {
  exec(success, error, 'SmartKarrot', 'logEvent', [key, value]);
};

exports.registerNotificationWithToken = function (deviceToken, success, error) {
  exec(success, error, 'SmartKarrot', 'registerNotificationWithToken', [deviceToken]);
};

exports.failRegisterNotificationWithError = function (errorData, success, error) {
  exec(success, error, 'SmartKarrot', 'failRegisterNotificationWithError', [errorData]);
};

exports.requestUserNotificationsPermission = function (success, error) {
  exec(success, error, 'SmartKarrot', 'requestUserNotificationsPermission');
}

exports.handleRemoteNotification = function (userInfo, showDropDown, success, error) {
  exec(success, error, 'SmartKarrot', 'handleRemoteNotification', [userInfo, showDropDown]);
}
/*-------------------------------------------------------------------------------------------*/
exports.configureSurvey = function (success, error) {
  exec(success, error, 'SmartKarrot', 'configureSurvey');
};

/* userId in case of android, isAnimated in case of iOS*/
exports.listSurveys = function (animated, success, error) {
  exec(success, error, 'SmartKarrot', 'listSurveys', [animated]);
};

/* userId in case of android, isAnimated in case of iOS*/
exports.startSurvey = function (surveyId, animated, success, error) {
  exec(success, error, 'SmartKarrot', 'startSurvey', [surveyId, animated]);
};
/*-------------------------------------------------------------------------------------------------*/
exports.configureReferral = function (success, error) {
  exec(success, error, 'SmartKarrot', 'configureReferral');
}

exports.listReferrals = function (isAnimated, success, error) {
  exec(success, error, 'SmartKarrot', 'listReferrals', [isAnimated]);
}

exports.showDashboard = function (campaignId, isAnimated, success, error) {
  exec(success, error, 'SmartKarrot', 'showDashboard', [campaignId, isAnimated]);
}
/*-------------------------------------------------------------------------------------------*/
exports.updateDeviceToken = function (deviceToken, success, error) {
  exec(success, error, 'SmartKarrot', 'updateDeviceToken', [deviceToken]);
}

exports.handleRichPush = function (remoteMessage, success, error) {
  exec(success, error, 'SmartKarrot', 'handleRichPush', [remoteMessage]);
}
